/// <reference types="react" />
export declare const ResponsiveEChartsRendererStyled: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ResponsiveEChartsRenderer: import("@emotion/styled").StyledComponent<{
    option: import("echarts/core").EChartsCoreOption;
    onResize?: ((width: number, height: number) => void) | undefined;
    eventHandlers?: import("../../types/echarts").EChartsEventHandler[] | undefined;
    onInit?: ((chart: import("echarts/core").ECharts) => void) | undefined;
    zrEventHandlers?: import("../../types/echarts").ZREventHandler[] | undefined;
    notMerge?: boolean | undefined;
} & import("react").RefAttributes<unknown> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
